#pragma once

#include <time.h>

enum {
	ap_ip_type_JcsRsaSignature2022 = 1,
};

// https://w3c.github.io/vc-data-integrity/#proofs
struct ap_integrety_proof
{
	char* id;
	int type;
	char* proof_purpose;
	char* verification_method;
	time_t created;
	char* domain;
	char* challenge;
	char* proof_value;
	char* previous_proof_id;
};

